Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.servlet.collector
Class ResponseHeaderCollector

    java.lang.Object
      org.apache.cocoon.servlet.collector.ResponseHeaderCollector

    public class ResponseHeaderCollector

extends Object

Constructor Summary
`ResponseHeaderCollector()`

Method Summary
`static String` | `getETag()`
`static long` | `getIfLastModifiedSince()`
`static String` | `getIfNoneMatch()`
`static long` | `getLastModified()`
`static String` | `getMimeType()`
`static String` | `getRequestMethod()`
`static int` | `getStatusCode()`
`Object` | `interceptInvoke(org.aspectj.lang.ProceedingJoinPoint proceedingJoinPoint)`
`Object` | `interceptInvoke(org.aspectj.lang.ProceedingJoinPoint proceedingJoinPoint, Invocation invocation)`
`static boolean` | `isModifiedResponse()`
`void` | `setCollectorDataStore(CollectorDataStore collectorDataStore)`
`static void` | `setETag(String etag)`
`static void` | `setIfLastModifiedSince(long ifLastModifiedSince)`
`static void` | `setIfNoneMatch(String ifNoneMatch)`
`static void` | `setLastModified(Long lastModified)`
`static void` | `setMimeType(String mimeType)`
`static void` | `setModifiedResponse(boolean executed)`
`static void` | `setRequestMethod(String method)`
`static void` | `setStatusCode(int statusCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseHeaderCollector

    public ResponseHeaderCollector()

Method Detail

### interceptInvoke

    public Object interceptInvoke(org.aspectj.lang.ProceedingJoinPoint proceedingJoinPoint)
                           throws Throwable

  Throws:
    `Throwable`

### interceptInvoke

    public Object interceptInvoke(org.aspectj.lang.ProceedingJoinPoint proceedingJoinPoint,
                                  Invocation invocation)
                           throws Throwable

  Throws:
    `Throwable`

### setCollectorDataStore

    public void setCollectorDataStore(CollectorDataStore collectorDataStore)

### getETag

    public static String getETag()

### getIfLastModifiedSince

    public static long getIfLastModifiedSince()

### getIfNoneMatch

    public static String getIfNoneMatch()

### getLastModified

    public static long getLastModified()

### getMimeType

    public static String getMimeType()

### getRequestMethod

    public static String getRequestMethod()

### getStatusCode

    public static int getStatusCode()

### isModifiedResponse

    public static boolean isModifiedResponse()

### setETag

    public static void setETag(String etag)

### setIfLastModifiedSince

    public static void setIfLastModifiedSince(long ifLastModifiedSince)

### setIfNoneMatch

    public static void setIfNoneMatch(String ifNoneMatch)

### setLastModified

    public static void setLastModified(Long lastModified)

### setMimeType

    public static void setMimeType(String mimeType)

### setModifiedResponse

    public static void setModifiedResponse(boolean executed)

### setRequestMethod

    public static void setRequestMethod(String method)

### setStatusCode

    public static void setStatusCode(int statusCode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.